// =====================================================================
//  $Id: St02DataRecordConversion.hh,v 1.1 2003/07/11 05:34:14 goiwai Exp $
//  $Name: CLDAQ-1-06-02 $
// =====================================================================
#ifndef __ST02DATARECORDCONVERSION_HH
#define __ST02DATARECORDCONVERSION_HH

#include "Tglobals.h"
#include "TDataMultiplicity.hh"
#include "TDataRecord.hh"
#include "St02Map.hh"

class St02DataRecordConversion
  : public St02Map
{

  private:
    Tbool theConversionSuccess;

  public:
    St02DataRecordConversion();
    ~St02DataRecordConversion();

  public:
    TDataMultiplicity& Convert( const TDataRecord& record );
    Tbool IsSuccess() const;

};

inline Tbool St02DataRecordConversion::IsSuccess() const
{
  return( theConversionSuccess );
}

#endif
